scheduled_transitions.settings:
  type: config_object
  label: 'Scheduled transition settings'
  mapping:
    mirror_operations:
      type: mapping
      mapping:
        view scheduled transition:
          type: string
          label: 'An entity operation. When attempting to view scheduled transitions for an entity, defer access to another operation.'
        add scheduled transition:
          type: string
          label: 'An entity operation.  When attempting to add scheduled transitions for an entity, defer access to another operation.'
        reschedule scheduled transitions:
          type: string
          label: 'An entity operation.  When attempting to reschedule scheduled transitions for an entity, defer access to another operation.'
    automation:
      type: mapping
      mapping:
        cron_create_queue_items:
          type: boolean
          label: 'Create scheduling jobs in cron'
    bundles:
      type: sequence
      sequence:
        type: scheduled_transitions_bundle_config
        label: 'Configuration for a entity type/bundle combination'
    message_transition_latest:
      type: string
      label: 'Revision log message used when transitioning latest revision.'
    message_transition_historical:
      type: string
      label: 'Revision log message used when transitioning a non-latest revision.'
    message_transition_copy_latest_draft:
      type: string
      label: 'Revision log message used when shifting a former unpublished revision back on top.'

# Schema for \Drupal\scheduled_transitions\Plugin\views\field\ScheduledTransitionRevisionLinkField plugin.
views.field.scheduled_transitions_revision_link:
  type: views_field
  label: 'Link to a entity revision'
  mapping:
    text:
      type: label
      label: 'Text to display'

scheduled_transitions_bundle_config:
  type: mapping
  mapping:
    entity_type:
      type: string
      label: 'Entity type ID'
    bundle:
      type: string
      label: 'Bundle ID'
